%define	name	gproftpd
%define	version	8.0.1
%define	release 1mdk

Summary:	GProFTPD is a GNOME2 GUI tool for the Configuration of proftpd
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Networking/Other
License:	GPL
Url:		http://mange.dynup.net/linux.html
Source:		%{name}-%{version}.tar.bz2
Requires:	proftpd
Requires:	gtk+2.0
Requires:	libgtk+2.0_0
Requires:	libORBit2_0
BuildRequires:	XFree86-devel
BuildRequires:	freetype2-devel
BuildRequires:	libGConf2_4-devel
BuildRequires:	libMesaGLU1-devel
BuildRequires:	libORBit2_0-devel
BuildRequires:	libart_lgpl2-devel
BuildRequires:	libatk1.0_0-devel
BuildRequires:	libbonobo2_0-devel
BuildRequires:	libgdk_pixbuf2.0_0-devel
BuildRequires:	libglib2.0_0-devel
BuildRequires:	libgnome-vfs2_0-devel
BuildRequires:	libgnome2_0-devel
BuildRequires:	libgnomecanvas2_0-devel
BuildRequires:	libgnomeui2_0-devel
BuildRequires:	libgtk+2.0_0-devel
BuildRequires:	liblinc1-devel
BuildRequires:	libpango1.0_0-devel
BuildRequires:	libwraster2-devel
BuildRequires:	libxml2-devel
BuildRequires:	libxpm4-devel
Buildroot:	%{_tmppath}/%{name}-buildroot

%description
GProftpd is a fast and easy to use GNOME2 administration tool for
the Proftpd standalone server.

%prep

%setup -q

%build

# this is a messy tarball...
#rm INSTALL config.guess config.sub install-sh missing mkinstalldirs
#automake-1.4 --add-missing

./configure \
    --prefix=%{_prefix} \
    --exec-prefix=%{_exec_prefix} \
    --bindir=%{_bindir} \
    --sbindir=%{_sbindir} \
    --sysconfdir=%{_sysconfdir} \
    --datadir=%{_datadir} \
    --includedir=%{_includedir} \
    --libdir=%{_libdir} \
    --libexecdir=%{_libexecdir} \
    --localstatedir=%{_localstatedir} \
    --sharedstatedir=%{_sharedstatedir} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir}

%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

#make DESTDIR=%{buildroot} install

install -d %{buildroot}%{_sysconfdir}/gproftpd
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_libdir}/menu
install -d %{buildroot}%{_datadir}/pixmaps/gproftpd
install -d %{buildroot}%{_datadir}/gnome/apps/Internet
install -d %{buildroot}%{_datadir}/icons/hicolor/16x16/apps
install -d %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
install -d %{buildroot}%{_datadir}/icons/hicolor/48x48/apps
install -d %{buildroot}%{_datadir}/icons/hicolor/64x64/apps

install -m644 support/useradd-profile %{buildroot}%{_sysconfdir}/gproftpd/
install -m644 pixmaps/gproftpd.png %{buildroot}%{_datadir}/pixmaps/gproftpd.png
install -m644 pixmaps/net-gproftpd.desktop %{buildroot}%{_datadir}/gnome/apps/Internet/gproftpd.desktop

install -m644 pixmaps/exit.png %{buildroot}%{_datadir}/pixmaps/gproftpd/
install -m644 pixmaps/gproftpd.png %{buildroot}%{_datadir}/pixmaps/gproftpd/
install -m644 pixmaps/gproftpd36.xpm %{buildroot}%{_datadir}/pixmaps/gproftpd/
install -m644 pixmaps/help.png %{buildroot}%{_datadir}/pixmaps/gproftpd/
install -m644 pixmaps/lock.xpm %{buildroot}%{_datadir}/pixmaps/gproftpd/
install -m644 pixmaps/offline.xpm %{buildroot}%{_datadir}/pixmaps/gproftpd/
install -m644 pixmaps/online.xpm %{buildroot}%{_datadir}/pixmaps/gproftpd/ 
install -m644 pixmaps/reread.png %{buildroot}%{_datadir}/pixmaps/gproftpd/
install -m644 pixmaps/shutdown.png %{buildroot}%{_datadir}/pixmaps/gproftpd/

install -m755 src/gproftpd %{buildroot}%{_bindir}/

# install the brand spanking new menu icons
install -m644 pixmaps/gproftpd.png %{buildroot}%{_datadir}/icons/
install -m644 pixmaps/gproftpd16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/
install -m644 pixmaps/gproftpd32.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/
install -m644 pixmaps/gproftpd48.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
install -m644 pixmaps/gproftpd64.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/

cat > %{buildroot}%{_libdir}/menu/gproftpd <<EOF
?package(gproftpd):\
command="/usr/bin/gproftpd"\
title="GProftpd "\
longtitle="Proftpd administration tool"\
needs="x11"\
icon="gproftpd.png"\
section="Configuration/Networking"
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%config(noreplace) %{_sysconfdir}/gproftpd/*
%{_bindir}/*
%{_menudir}/*
%{_datadir}/gnome/*
%{_datadir}/pixmaps/*
%{_datadir}/icons/*.png
%{_datadir}/icons/hicolor/16x16/apps/*.png
%{_datadir}/icons/hicolor/32x32/apps/*.png
%{_datadir}/icons/hicolor/48x48/apps/*.png
%{_datadir}/icons/hicolor/64x64/apps/*.png

%changelog
* Sun Jan 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 8.0.1-1mdk
- 8.0.1

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 8.0.0-2mdk
- build release

* Fri Aug 30 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 8.0.0-1mdk
- new gnome2 version + icons, thanks Magnus!
- first try at a menu entry for gproftpd

* Thu Aug 29 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 7.4.3-2mdk
- fix BuildRequires and %%description

* Wed Aug 28 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 7.4.3-1mdk
- used the GnoSamba spec file as template
- initial cooker contrib
